<div class="row" *ngIf="isShowBookList">
    <div class="col-md-12">
        <nb-card>
            <nb-card-header>Choose a book</nb-card-header>
            <nb-card-body>
                <ng2-smart-table [settings]="bookSettings" [source]="bookSource" (userRowSelect)="eventBookSelect($event)">
                </ng2-smart-table>
            </nb-card-body>
        </nb-card>
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <nb-card>
            <nb-card-body>
                <div class="col-md-4" *ngIf="!isShowBookList">
                    <input type="button" class="btn btn-info btn-block" id="add-book" (click)="isShowBookList = true"
                        value="Show book list">
                </div>
                <div class="col-md-4" *ngIf="isShowBookList">
                    <input type="button" class="btn btn-info btn-block" id="add-book" (click)="isShowBookList = false"
                        value="Hide book list">
                </div>
            </nb-card-body>
        </nb-card>
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <nb-card>
            <nb-card-header>Choose a book</nb-card-header>
            <nb-card-body>
                <ng2-smart-table [settings]="receiptDetailSetting" [source]="receiptDetailSource" (deleteConfirm)="onReceiptDeleteConfirm($event)"
                    (editConfirm)="onReceiptEditConfirm($event)">
                </ng2-smart-table>
            </nb-card-body>
        </nb-card>
    </div>
</div>

<div class="row">
        <div class="col-md-12">
            <nb-card>
                <nb-card-body>
                    <div class="col-md-4">
                        <input type="button" class="btn btn-info btn-block" id="submit-receipt" (click)="btnClickSubmitReceipt()"
                            value="Submit receipt">
                    </div>
                </nb-card-body>
            </nb-card>
        </div>
    </div>